REM ============================================================
REM FILE: Build.bat
REM DESC: This File will Build the Applet
REM ============================================================

REM ------------------------------------------------------------
REM SET environment variables.
REM ------------------------------------------------------------

SET CLASSPATH=

REM ------------------------------------------------------------
REM CREATE CLASS Directories
REM ------------------------------------------------------------

MKDIR cmn
MKDIR gui
MKDIR math
MKDIR util

MKDIR iqstrat
MKDIR iqstrat\io

MKDIR psi
MKDIR psi\gui
MKDIR psi\io
MKDIR psi\math
MKDIR psi\plot

MKDIR seismic
MKDIR seismic\gui
MKDIR seismic\io
MKDIR seismic\plot

REM ------------------------------------------------------------
REM COPY the Source Code to the CLASS Directories
REM ------------------------------------------------------------

COPY src\*.java .

COPY src\cmn\*.java cmn
COPY src\gui\*.java gui
COPY src\math\*.java math
COPY src\util\*.java util

COPY src\iqstrat\*.java iqstrat
COPY src\iqstrat\io\*.java iqstrat\io

COPY src\psi\*.java psi
COPY src\psi\gui\*.java psi\gui
COPY src\psi\io\*.java psi\io
COPY src\psi\math\*.java psi\math
COPY src\psi\plot\*.java psi\plot

COPY src\seismic\*.java seismic
COPY src\seismic\gui\*.java seismic\gui
COPY src\seismic\io\*.java seismic\io
COPY src\seismic\plot\*.java seismic\plot

REM ------------------------------------------------------------
REM COMPILE 
REM ------------------------------------------------------------

C:\jdk1.7.0_25\bin\javac -Xlint:deprecation PSI_Plot.java

REM ------------------------------------------------------------
REM REMOVE Source Code from the CLASS Directories
REM ------------------------------------------------------------

DEL *.java

DEL cmn\*.java
DEL gui\*.java
DEL math\*.java
DEL util\*.java

DEL iqstrat\*.java
DEL iqstrat\io\*.java

DEL psi\*.java
DEL psi\gui\*.java
DEL psi\io\*.java
DEL psi\math\*.java
DEL psi\plot\*.java

DEL seismic\*.java
DEL seismic\gui\*.java
DEL seismic\io\*.java
DEL seismic\plot\*.java

REM ------------------------------------------------------------
REM BUILD JAR File for the LAS Plot
REM ------------------------------------------------------------

DEL PSI_Plot.txt

C:\jdk1.7.0_25\bin\jar cvfm PSI_Plot.jar Manifest.txt *.class cmn gui math util iqstrat psi seismic images
C:\jdk1.7.0_25\bin\jar tvf PSI_Plot.jar > PSI_Plot.txt

MOVE PSI_Plot.jar lib

REM ------------------------------------------------------------
REM CLEAN UP
REM ------------------------------------------------------------

DEL cmn /q
DEL gui /q
DEL math /q
DEL util /q

DEL iqstrat /q
DEL iqstrat\io /q

DEL psi /q
DEL psi\gui /q
DEL psi\io /q
DEL psi\math /q
DEL psi\plot /q

DEL seismic /q
DEL seismic\gui /q
DEL seismic\io /q
DEL seismic\plot /q

RMDIR cmn
RMDIR gui
RMDIR math
RMDIR util

RMDIR iqstrat\io
RMDIR iqstrat

RMDIR psi\gui
RMDIR psi\io
RMDIR psi\math
RMDIR psi\plot
RMDIR psi 

RMDIR seismic\gui
RMDIR seismic\io
RMDIR seismic\plot
RMDIR seismic 

DEL *.class



